Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.BodyTagSupport
          org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
              org.codehaus.groovy.grails.web.taglib.jsp.JspFormTag

    public class JspFormTag
    extends JspInvokeGrailsTagLibTag

JSP facade onto the GSP form tag

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Constructor Summary
`JspFormTag()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getController()`
`java.lang.String` | `getId()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getParams()`
`java.lang.String` | `getUrl()`
`void` | `setAction(java.lang.String action)`
`void` | `setController(java.lang.String controller)`
`void` | `setId(java.lang.String id)`
`void` | `setMethod(java.lang.String method)`
`void` | `setParams(java.lang.String params)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Constructor Detail

### JspFormTag

    public JspFormTag()

Method Detail

### getAction

    public java.lang.String getAction()

### getController

    public java.lang.String getController()

### getId

    @Override
    public java.lang.String getId()

### getMethod

    public java.lang.String getMethod()

### getParams

    public java.lang.String getParams()

### getUrl

    public java.lang.String getUrl()

### setAction

    public void setAction(java.lang.String action)

### setController

    public void setController(java.lang.String controller)

### setId

    @Override
    public void setId(java.lang.String id)

### setMethod

    public void setMethod(java.lang.String method)

### setParams

    public void setParams(java.lang.String params)

### setUrl

    public void setUrl(java.lang.String url)

Groovy Documentation